<template>
    <a class="link is-info" @click="logout()" v-if="this.user.loggedIn">Logout</a>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';
import * as firebase from 'firebase/app';

export default Vue.extend({
  methods: {
    logout() {
      firebase.auth().signOut().then(() => {
          this.$store.dispatch('fetchUser', null);
          this.$router.push('/')
      }).catch(err => console.error(err));
    },
  },
  computed: {
      ...mapState(['user'])
  }
})
</script>